Please add FF3 support Rated 4 out of 5 stars

Not compatible with Firefox 3 versions. :(

This review is for a previous version of the add-on (2.0.43).